<?php
include('is_logged.php');//Archivo verifica que el usario que intenta acceder a la URL esta logueado
if (empty($_POST['mod_id_pro'])){ $errors[] = "ID vacío";}
else if (empty($_POST['mod_nombre'])){ $errors[] = "Nombre vacío";}  
else if (!empty($_POST['mod_id_pro']) && !empty($_POST['mod_nombre']))
{
	require_once ("../config/db.php");//Contiene las variables de configuracion para conectar a la base de datos
	require_once ("../config/conexion.php");//Contiene funcion que conecta a la base de datos
	$nombre=mysqli_real_escape_string($con,(strip_tags($_POST["mod_nombre"],ENT_QUOTES)));
	$telefono=mysqli_real_escape_string($con,(strip_tags($_POST["mod_telefono"],ENT_QUOTES)));
	$email=mysqli_real_escape_string($con,(strip_tags($_POST["mod_email"],ENT_QUOTES)));
	$direccion=mysqli_real_escape_string($con,(strip_tags($_POST["mod_direccion"],ENT_QUOTES)));
	
	$id_pro=intval($_POST['mod_id_pro']);
	$sql="UPDATE proveedores SET nombre_proveedor='".$nombre."', telefono_proveedor='".$telefono."', correo_proveedor='".$email."', direccion_proveedor='".$direccion."' WHERE id_pro='".$id_pro."'";
	$query_update = mysqli_query($con,$sql);
	if ($query_update)
	{
		$messages[] = "Proveedor ha sido actualizado satisfactoriamente.";
	} 
	else
	{
		$errors []= "Lo siento algo ha salido mal intenta nuevamente.".mysqli_error($con);
	}
} 
else 
{
	$errors []= "Error desconocido.";
}
if (isset($errors))
{
?>
	<div class="alert alert-danger" role="alert">
		<button type="button" class="close" data-dismiss="alert">&times;</button>
		<strong>Error!</strong> 
		<?php
		foreach ($errors as $error) 
		{
			echo $error;
		}
		?>
	</div>
	<?php
}
if (isset($messages))
{
?>
	<div class="alert alert-success" role="alert">
		<button type="button" class="close" data-dismiss="alert">&times;</button>
		<strong>¡Bien hecho!</strong>
		<?php
		foreach ($messages as $message) 
		{
			echo $message;
		}
		?>
	</div>
<?php
}
?>